- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDRCubicBezierToElement Class Reference
Inheritance diagram for libcdr::CDRCubicBezierToElement:

## Public Member Functions
| CDRCubicBezierToElement (double x1, double y1, double x2, double y2, double x, double y)
| ~CDRCubicBezierToElement ()
void | writeOut (WPXPropertyListVector &vec) const
void | transform (const CDRTransform &trafo)
CDRPathElement * | clone ()
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
double | m_x1
double | m_y1
double | m_x2
double | m_y2
double | m_x
double | m_y

## Constructor & Destructor Documentation

libcdr::CDRCubicBezierToElement::CDRCubicBezierToElement | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y
| ) |  |
| inline

libcdr::CDRCubicBezierToElement::~CDRCubicBezierToElement | ( |  | ) |
| inline

## Member Function Documentation

libcdr::CDRPathElement * libcdr::CDRCubicBezierToElement::clone | ( |  | ) |
| virtual

Implements libcdr::CDRPathElement.

void libcdr::CDRCubicBezierToElement::transform | ( | const CDRTransform & | trafo | ) |
| virtual

Implements libcdr::CDRPathElement.

void libcdr::CDRCubicBezierToElement::writeOut | ( | WPXPropertyListVector & | vec | ) | const
| virtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

double libcdr::CDRCubicBezierToElement::m_x
| private

double libcdr::CDRCubicBezierToElement::m_x1
| private

double libcdr::CDRCubicBezierToElement::m_x2
| private

double libcdr::CDRCubicBezierToElement::m_y
| private

double libcdr::CDRCubicBezierToElement::m_y1
| private

double libcdr::CDRCubicBezierToElement::m_y2
| private

The documentation for this class was generated from the following file:

- CDRPath.cpp